Foreman - Bug #26919

NoMethodError: undefined method "storage_domain' for nil:NilClass
05/30/2019 02:06 PM - Ori Rabin

Status: Closed

Priority: Normal

Assignee: Ori Rabin

Category: Compute resources - oVirt

Target version:

Difficulty: Fixed in Releases: 1.23.2,1.24.0
Triaged: No Found in Releases:
Bugzilla link: 1715084 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6823
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1715084

Description of problem:
When creating a new host (tested with image-based provisioning), | get "NoMethodError: undefined method “storage_domain' for
nil:NilClass" upon submitting the form and the VM is not created. Traceback attached.

Version-Release number of selected component (if applicable):
Reproduced on Sat 6.6 snap 4.

How reproducible:
Always, at least on my configuration

Steps to Reproduce:
1. Hosts -> Create host
2. Fill in the form

3. Submit

Actual results:
NoMethodError: undefined method “storage_domain' for nil:NilClass

Expected results:
No error, host and VM created

Associated revisions

Revision 10c89053 - 08/01/2019 02:01 PM - Ori Rabin

Fixes #26919 - Resolve nil error in ovirt disk clone

History

#1 - 05/30/2019 02:07 PM - Ori Rabin
- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 06/04/2019 11:43 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6823 added

#3 - 08/01/2019 02:01 PM - The Foreman Bot
- Fixed in Releases 1.24.0 added

#4 - 08/01/2019 03:01 PM - Ori Rabin
- Status changed from Ready For Testing to Closed
Applied in changeset 10c89053e3a3d933c28ff37b13a93e9e37697b90.

#5 - 11/28/2019 10:20 AM - Wagner Sartori Junior
Is it possible to backport this to 1.23?

#6 - 11/28/2019 11:23 AM - Tomer Brisker
- Fixed in Releases 1.23.2 added

Pulled it in to the stable 1.23 branch, it will be included in the next release.

#7 - 11/28/2019 11:38 AM - Wagner Sartori Junior

Cool... Thank you very much Tomer.
